# Jaxer.FunctionInfo : Object
Return to: Jaxer Framework index

Encapsulates function information needed for generating client-side proxies and for server-side storage of functions used in callbacks.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.FunctionInfo Constructor(String functionName, Array<String> parameterNames, String source) : Jaxer.FunctionInfo This class encapsulates function information needed for generating client-side proxies and for server-side storage of functions used in callbacks. | Show Details | 1.0 | no

### Jaxer.FunctionInfo(String functionName, Array<String> parameterNames, String source) : Jaxer.FunctionInfo

This class encapsulates function information needed for generating client-side proxies and for server-side storage of functions used in callbacks.

Parameters

String | functionName | This parameter is the name of the function this info represents.
Array<String> | parameterNames | This parameter is an array of parameter names for the function this info represents.
String | source | This parameter is the actual source code of the function this info represents.

Returns

Jaxer.FunctionInfo | Returns an instance of FunctionInfo.

Jaxer.FunctionInfo Constructor(Function functionReference, [Node functionNode]) : Jaxer.FunctionInfo This class encapsulates function information needed for generating client-side proxies and for server-side storage of functions used in callbacks. (Advanced) | Show Details | 1.0 | no

### Jaxer.FunctionInfo(Function functionReference, [Node functionNode]) : Jaxer.FunctionInfo

This class encapsulates function information needed for generating client-side proxies and for server-side storage of functions used in callbacks.
(Advanced)

Parameters

Function | functionReference | This is a reference to the actual Javascript function instance this info represents.
Node | functionNode | (optional)This is an optional parameter that is the root node of an AST representing the function this info represents.

Returns

Jaxer.FunctionInfo | Returns an instance of FunctionInfo.

Visibility
  advanced

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
createClientSource() : String Create a string representation of the underlying function to be used client-side as the source of this function. (Advanced) | Show Details | 1.0 | no

Returns

String | Returns a string representation of this function info's underlying Javascript function in a form needed to execute the function on the client

createServerFunction([String namespace,] [Boolean proxied,] [Boolean noLocalScope]) : String Create a string representation of the underlying function to be used during a callback. This source will be stored in the callback database and will be used to reconstitute the function during a callback. This is used for cached and proxied functions. (Advanced) | Show Details | 1.0 | no

Parameters

String | namespace | (optional)If specified, the function is specified as a property on the given namespace object. Otherwise, the function is specified as a global property.
Boolean | proxied | (optional)If specified and true, the function will have a property called "proxy" and set to true.
Boolean | noLocalScope | (optional)If specified and true, the function will NOT be assigned to a global property with its name. That is, this.<name> will NOT be created.

Returns

String | Returns a string representation of this function info's underlying Javascript function in a form needed to execute the function on the server.

isNative() : Boolean Is the underlying function a native one (for which no actual source is available)? (Advanced) | Show Details | 1.0 | no

Returns

Boolean |

aptana_docs